VFS_SYNCOPS(8)

NAME
vfs_linux_xfs_sgid

SYNOPSIS

vfs objects = linux_xfs_sgid

DESCRIPTION

This VFS module is part of the samba(7) suite.

vfs_linux_xfs_sgid is a VFS module to work around an old Linux XFS bug that still exists: Under certain circumstances the SGID bit is not inherited (http://oss.sgi.com/bugzilla/show_bug.cgi?id=280). The vfs_linux_xfs_sgid VFS module will work around this bug by manually setting the SGID bit after a mkdir if the parent directory had the SGID bit set.

This module is stackable.

EXAMPLES

Add syncops functionality for [share]:

            [share]
    	vfs objects = linux_xfs_sgid

VERSION

This man page is correct for version 4.1.0 of the Samba suite.

AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.